libzypp 17.37.10

PackageProvider.cc File Reference
`#include "zypp/ng/workflows/contextfacade.h"`
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <zypp/repo/PackageDelta.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Gettext.h>`
`#include <utility>`
`#include <zypp-core/base/UserRequestException>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/repo/PackageProvider.h>`
`#include <zypp/repo/Applydeltarpm.h>`
`#include <zypp/TmpPath.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/RepoManager.h>`
`#include <zypp/SrcPackage.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/Target.h>`
`#include <zypp/target/rpm/RpmDb.h>`
`#include <zypp/FileChecker.h>`
`#include <zypp/target/rpm/RpmHeader.h>`
`#include <zypp/ng/workflows/keyringwf.h>`

Go to the source code of this file.

## Classes
class | zypp::repo::RpmSigCheckException
| Exception thrown by PackageProviderImpl::rpmSigFileChecker. More...
class | zypp::repo::PackageProvider::Impl
| PackageProvider implementation interface. More...
class | zypp::repo::PackageProviderImpl< TPackage >
class | zypp::repo::RpmPackageProvider
| RPM PackageProvider implementation (with deltarpm processing). More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo
namespace | zypp::repo::factory

## Functions
PackageProvider::Impl * | zypp::repo::factory::make (RepoMediaAccess &access_r, const PoolItem &pi_r, DeltaCandidates &&deltas_r, PackageProviderPolicy &&policy_r)
PackageProvider::Impl * | zypp::repo::factory::make (RepoMediaAccess &access_r, const PoolItem &pi_r, PackageProviderPolicy &&policy_r)
PackageProvider::Impl * | zypp::repo::factory::make (RepoMediaAccess &access_r, Package::constPtr &&package_r, DeltaCandidates &&deltas_r, PackageProviderPolicy &&policy_r)